SET SQL_MODE="NO_AUTO_VALUE_ON_ZERO";




CREATE TABLE `ab_domain` (
  `id` bigint(20) NOT NULL auto_increment,
  `user_id` bigint(20) NOT NULL,
  `name` varchar(63) character set utf8 collate utf8_unicode_ci NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;



CREATE TABLE `ab_group` (
  `id` bigint(20) NOT NULL auto_increment,
  `user_id` bigint(20) NOT NULL,
  `name` varchar(30) character set utf8 collate utf8_unicode_ci NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;



CREATE TABLE `ab_user` (
  `id` bigint(20) NOT NULL auto_increment,
  `user_id` bigint(20) NOT NULL,
  `group_id` bigint(20) NOT NULL,
  `sameuser_id` varchar(255) character set ascii collate ascii_bin NOT NULL,
  `name` varchar(128) character set utf8 collate utf8_unicode_ci NOT NULL,
  `nickname` varchar(63) character set utf8 collate utf8_unicode_ci NOT NULL,
  `email` varchar(128) character set utf8 collate utf8_unicode_ci NOT NULL,
  `added` datetime NOT NULL,
  `updated` datetime NOT NULL,
  `flags` bigint(20) unsigned NOT NULL,
  `flag_approved` smallint(6) NOT NULL default '0',
  `flag_deleted` smallint(6) NOT NULL,
  `flag_displayimages` smallint(6) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1;



CREATE TABLE `attachment` (
  `id` bigint(20) NOT NULL auto_increment,
  `parent_id` bigint(20) unsigned NOT NULL,
  `domain_id` bigint(20) NOT NULL,
  `user_id` bigint(20) NOT NULL,
  `message_id` bigint(20) NOT NULL,
  `bw_id` bigint(20) NOT NULL,
  `flags` bigint(20) unsigned NOT NULL,
  `name` varchar(70) character set utf8 collate utf8_unicode_ci NOT NULL,
  `raw` mediumblob NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1;



CREATE TABLE `cache` (
  `user_id` bigint(20) NOT NULL,
  `when` datetime NOT NULL,
  `data` varchar(4096) character set utf8 collate utf8_bin NOT NULL
) ENGINE=MEMORY DEFAULT CHARSET=latin1;



CREATE TABLE `conf` (
  `var` varchar(30) character set ascii collate ascii_bin NOT NULL,
  `group` varchar(15) character set ascii collate ascii_bin NOT NULL,
  `val` mediumtext character set utf8 collate utf8_unicode_ci NOT NULL,
  `desc` varchar(255) character set utf8 collate utf8_unicode_ci NOT NULL,
  UNIQUE KEY `var` (`var`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;



CREATE TABLE `domain` (
  `id` mediumint(8) unsigned NOT NULL auto_increment,
  `name` varchar(200) character set utf8 collate utf8_unicode_ci NOT NULL,
  `flags` bigint(20) unsigned NOT NULL,
  `default_gmt` smallint(6) NOT NULL default '0',
  `advertisement_code` varchar(1024) character set utf8 collate utf8_unicode_ci NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1;



CREATE TABLE `filters` (
  `id` bigint(20) unsigned NOT NULL auto_increment,
  `user_id` mediumint(9) NOT NULL,
  `name` varchar(15) character set utf8 collate utf8_unicode_ci NOT NULL,
  `flags` bigint(20) unsigned NOT NULL,
  `raw` varchar(1024) character set utf8 collate utf8_unicode_ci NOT NULL,
  `order` bigint(20) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;



CREATE TABLE `folder` (
  `id` bigint(20) unsigned NOT NULL auto_increment,
  `user_id` mediumint(8) unsigned NOT NULL,
  `name` varchar(15) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;



CREATE TABLE `labels` (
  `id` bigint(20) unsigned NOT NULL auto_increment,
  `user_id` mediumint(9) NOT NULL,
  `name` varchar(15) character set utf8 collate utf8_unicode_ci NOT NULL,
  `type` smallint(5) unsigned NOT NULL,
  `flags` bigint(20) unsigned NOT NULL,
  `flag_show` smallint(6) NOT NULL,
  `raw` varchar(1024) character set utf8 collate utf8_unicode_ci NOT NULL,
  `order` bigint(20) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1;



CREATE TABLE `logins` (
  `id` bigint(20) unsigned NOT NULL auto_increment,
  `domain_id` mediumint(9) NOT NULL,
  `user_id` mediumint(9) NOT NULL,
  `date` datetime NOT NULL,
  `date_end` datetime NOT NULL,
  `ip` varchar(15) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1;



CREATE TABLE `messages` (
  `id` bigint(20) unsigned NOT NULL auto_increment,
  `unique_id` varchar(200) NOT NULL,
  `user_id` int(10) unsigned NOT NULL default '0',
  `domain_id` mediumint(8) unsigned NOT NULL,
  `folder_id` bigint(20) unsigned NOT NULL,
  `flags` bigint(20) unsigned NOT NULL,
  `flag_attachment` tinyint(1) NOT NULL default '0',
  `flag_deleted` tinyint(1) NOT NULL default '0',
  `flag_starred` tinyint(1) NOT NULL default '0',
  `flag_read` tinyint(1) NOT NULL default '0',
  `flag_html` tinyint(1) NOT NULL default '0',
  `subject` varchar(255) NOT NULL,
  `from` varchar(255) NOT NULL,
  `body_text` text NOT NULL,
  `body_html` text NOT NULL,
  `to` varchar(255) NOT NULL,
  `cc` varchar(255) NOT NULL,
  `bcc` varchar(255) NOT NULL,
  `date` datetime NOT NULL default '1000-01-01 00:00:00',
  `size` int(11) unsigned NOT NULL default '0',
  `headers` text NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `user_id` (`user_id`,`folder_id`),
  FULLTEXT KEY `body_text` (`body_text`),
  FULLTEXT KEY `subject` (`subject`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;



CREATE TABLE `session` (
  `session_id` varchar(100) character set utf8 collate utf8_unicode_ci NOT NULL,
  `session_data` text character set utf8 collate utf8_unicode_ci NOT NULL,
  `expires` int(11) NOT NULL default '0',
  PRIMARY KEY  (`session_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;



CREATE TABLE `users` (
  `id` bigint(20) unsigned NOT NULL auto_increment,
  `domain_id` mediumint(8) unsigned NOT NULL,
  `username` varchar(128) NOT NULL,
  `name` varchar(63) NOT NULL,
  `flags` bigint(20) unsigned NOT NULL,
  `val_rpp` smallint(5) unsigned NOT NULL default '50',
  `val_signature` varchar(1024) default NULL,
  `val_tz` varchar(5) NOT NULL,
  `last_login` datetime NOT NULL default '1000-01-01 00:00:00',
  `last_ip` varchar(15) NOT NULL,
  `preferences` text,
  `conf` text NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `username_index` (`username`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;
